{ ... }:

{
  services.collabora-online = {
    enable = true;

    settings = {
      ssl = {
        enable = false;
        termination = true;
      };

      net = {
        proto = "IPv4";
        listen = "loopback";
        post_allow.host = ["172.0.0.1"];
      };

      # ouvre seulement les fichiers depuis nextcloud
      storage.wopi = {
        "@allow" = true;
        host = ["cloud.lyes.eu"];
      };

      server_name = "collabora.lyes.eu";
    };
  };
}

